%global rbname kakasi
Summary: Ruby/KAKASI extension module
Name: ruby-%{rbname}

%global momorel 4

Version: 020928
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://www.notwork.org/~gotoken/ruby/p/kakasi/

%NoSource 0 http://www.notwork.org/~gotoken/ruby/p/%{rbname}/%{rbname}-%{version}.tar.gz ca3139a57769828a6d88d7a9db748ce4

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: kakasi-devel

%description
This extension module is a Ruby binding of ``KAKASI'', which is
developed by Hironobu Takahashi.  KAKASI is the language processing
filter to convert Kanji characters to Hiragana, Katakana or Romaji
and may be helpful to read Japanese documents.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n kakasi-%{version}
mv wdcnt wdcnt.in
echo '#!/usr/bin/ruby -Ke' > wdcnt
grep -v '^#!' wdcnt.in >> wdcnt
chmod 755 wdcnt
rm wdcnt.in

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.jp ChangeLog MANIFEST test.rb wdcnt*
%{ruby_archdir}/kakasi.so

%changelog
* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (020928-4m)
- rebuild against ruby-1.8.2

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (020928-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (020928-2m)
- rebuild against ruby-1.8.0.

* Fri Nov 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (020928-1m)
- version 020928

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (000124-4k)
- add kakasi-devel to BuildPreReq Tag

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (000124-3k)
- first build.
